# Stock Available Base Exclude Location

This module is a technical base module to allow defining excluded locations on an Odoo model.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

In new module, inherit from “stock.exclude.location.mixin” model on the wanted model.

Then, when querying for product availability, add to context the key “excluded_location_ids” with your model “stock_excluded_location_ids” property.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- ACSONE SA/NV

## Contributors

- Denis Roussel <denis.roussel@acsone.eu>
- Xavier Bouquiaux <xavier.bouquiaux@acsone.eu>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/stock-logistics-availability project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.